For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.rebateright.com.au/api-reference/medicare-claiming/interactive-patient-claims/llms.txt. For full documentation content, see https://docs.rebateright.com.au/api-reference/medicare-claiming/interactive-patient-claims/llms-full.txt.

# Interactive Patient Claim — Pathology

POST https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1
Content-Type: application/json

The **pathology** interactive patient claim endpoint submits a Medicare patient claim for pathology services.

One of the following must hold, otherwise Medicare rejects the claim:

- `referral.typeCode = P` (pathology request), or
- `referralOverrideCode = N` (not required), or
- `selfDeemedCode = SD` on at least one service and no service uses `SS`.

**Request** and successful **`200`** payloads reuse the same schemas as the **general** endpoint in **`components.schemas`**
in this file (`PciwPatientClaimInteractiveRequestBody`, `PciwPatientClaimInteractiveSuccessResponse`).
Pathology-only fields are the second branch of the request `allOf` below. **`400`** uses `PciwMedicareServiceMessageError`.


Reference: https://docs.rebateright.com.au/api-reference/medicare-claiming/interactive-patient-claims/interactive-patient-claim-pathology

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /Medicare/patientclaiminteractive/pathology/v1:
    post:
      operationId: interactive-patient-claim-pathology
      summary: Interactive Patient Claim — Pathology
      description: >
        The **pathology** interactive patient claim endpoint submits a Medicare
        patient claim for pathology services.


        One of the following must hold, otherwise Medicare rejects the claim:


        - `referral.typeCode = P` (pathology request), or

        - `referralOverrideCode = N` (not required), or

        - `selfDeemedCode = SD` on at least one service and no service uses
        `SS`.


        **Request** and successful **`200`** payloads reuse the same schemas as
        the **general** endpoint in **`components.schemas`**

        in this file (`PciwPatientClaimInteractiveRequestBody`,
        `PciwPatientClaimInteractiveSuccessResponse`).

        Pathology-only fields are the second branch of the request `allOf`
        below. **`400`** uses `PciwMedicareServiceMessageError`.
      tags:
        - >-
          subpackage_medicareClaiming.subpackage_medicareClaiming/interactivePatientClaims
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PciwPatientClaimInteractiveSuccessResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PciwMedicareServiceMessageError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                correlationId:
                  type: string
                  description: >-
                    Optional. Supply a unique transaction ID in the format
                    `urn:uuid:{MinorId}{16 hex chars}`. If omitted, RebateRight
                    generates one automatically.
                patientClaimInteractive:
                  $ref: >-
                    #/components/schemas/MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractive
              required:
                - patientClaimInteractive
servers:
  - url: https://api.rebateright.com.au
  - url: https://test-api.rebateright.com.au
components:
  schemas:
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveServiceProvider:
      type: object
      properties:
        providerNumber:
          type: string
      required:
        - providerNumber
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveServiceProvider
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePayeeProvider:
      type: object
      properties:
        providerNumber:
          type: string
      required:
        - providerNumber
      description: >-
        Optional. The provider to whom the Medicare benefit is paid, if
        different from the servicing provider.
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePayeeProvider
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientIdentity:
      type: object
      properties:
        givenName:
          type: string
        familyName:
          type: string
        dateOfBirth:
          type: string
          format: date
      required:
        - givenName
        - familyName
        - dateOfBirth
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientIdentity
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientMedicare:
      type: object
      properties:
        memberNumber:
          type: string
        memberRefNumber:
          type: string
      required:
        - memberNumber
        - memberRefNumber
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientMedicare
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatient:
      type: object
      properties:
        identity:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientIdentity
        medicare:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientMedicare
      required:
        - identity
        - medicare
      title: PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatient
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantIdentity:
      type: object
      properties:
        givenName:
          type: string
        familyName:
          type: string
        dateOfBirth:
          type: string
          format: date
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantIdentity
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantMedicare:
      type: object
      properties:
        memberNumber:
          type: string
        memberRefNumber:
          type: string
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantMedicare
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantEftDetails:
      type: object
      properties:
        accountName:
          type: string
        accountNumber:
          type: string
        bsbCode:
          type: string
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantEftDetails
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantResidentialAddress:
      type: object
      properties:
        addressLineOne:
          type: string
        addressLineTwo:
          type: string
        locality:
          type: string
        postcode:
          type: string
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantResidentialAddress
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantContactDetails:
      type: object
      properties:
        name:
          type: string
        phoneNumber:
          type: string
        emailAddress:
          type: string
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantContactDetails
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimant:
      type: object
      properties:
        identity:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantIdentity
        medicare:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantMedicare
        eftDetails:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantEftDetails
        residentialAddress:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantResidentialAddress
        contactDetails:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantContactDetails
      description: >-
        Optional. Include when the claimant differs from the patient, or to
        supply bank or address details.
      title: PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimant
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItemsServiceItems:
      type: object
      properties:
        id:
          type: string
        itemNumber:
          type: string
        chargeAmount:
          type: string
        hospitalInd:
          type: string
        facilityId:
          type: string
        patientContribAmount:
          type: string
        numberOfPatientsSeen:
          type: string
        aftercareOverrideInd:
          type: string
        duplicateServiceOverrideInd:
          type: string
        multipleProcedureOverrideInd:
          type: string
        restrictiveOverrideCode:
          type: string
        timeDuration:
          type: string
        text:
          type: string
        fieldQuantity:
          type: string
        lspNumber:
          type: string
        rule3ExemptInd:
          type: string
        s4b3ExemptInd:
          type: string
      required:
        - id
        - itemNumber
        - chargeAmount
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItemsServiceItems
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItems:
      type: object
      properties:
        id:
          type: string
        medicalEventDate:
          type: string
          format: date
        medicalEventTime:
          type: string
        service:
          type: array
          items:
            $ref: >-
              #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItemsServiceItems
      required:
        - id
        - medicalEventDate
        - service
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItems
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractive:
      type: object
      properties:
        accountPaidInd:
          type: string
          description: '`Y` if the account has been paid in full, `N` if not paid.'
        authorisationDate:
          type: string
          format: date
          description: Date the claim was authorised. Must not be in the future.
        submissionAuthorityInd:
          type: string
          description: >-
            Must be `Y`. Confirms the claimant has authorised the practice to
            submit on their behalf.
        accountReferenceId:
          type: string
          description: >-
            Optional. A reference used by the submitter to identify the claim.
            1–9 alphanumeric characters.
        serviceProvider:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveServiceProvider
        payeeProvider:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePayeeProvider
          description: >-
            Optional. The provider to whom the Medicare benefit is paid, if
            different from the servicing provider.
        patient:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatient
        claimant:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimant
          description: >-
            Optional. Include when the claimant differs from the patient, or to
            supply bank or address details.
        medicalEvent:
          type: array
          items:
            $ref: >-
              #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItems
      required:
        - accountPaidInd
        - authorisationDate
        - submissionAuthorityInd
        - serviceProvider
        - patient
        - medicalEvent
      title: PciwPatientClaimInteractiveRequestBodyPatientClaimInteractive
    MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferralProvider:
      type: object
      properties:
        providerNumber:
          type: string
          description: Requesting provider Medicare number.
      required:
        - providerNumber
      title: >-
        MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferralProvider
    MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferralTypeCode:
      type: string
      enum:
        - P
      description: |
        Request type for pathology (must be **P**):

        | Code | Meaning |
        |------|---------|
        | P | Pathology request |
      title: >-
        MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferralTypeCode
    MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferral:
      type: object
      properties:
        provider:
          $ref: >-
            #/components/schemas/MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferralProvider
        issueDate:
          type: string
          format: date
          description: >-
            Request issue date; must not be in the future or before the patient
            date of birth.
        typeCode:
          $ref: >-
            #/components/schemas/MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferralTypeCode
          description: |
            Request type for pathology (must be **P**):

            | Code | Meaning |
            |------|---------|
            | P | Pathology request |
      description: >
        Pathology request. Mutually exclusive with **referralOverrideCode** when
        you are using an override

        instead of a referral object.
      title: >-
        MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferral
    MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferralOverrideCode:
      type: string
      enum:
        - 'N'
      description: >
        Use **N** when a pathology referral is not required. Cannot be combined
        with a **referral** object

        in the same request.


        | Code | Meaning |

        |------|---------|

        | N | Not required |
      title: >-
        MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferralOverrideCode
    MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveMedicalEventItemsServiceItems:
      type: object
      properties:
        scpId:
          type: string
          description: Specialist Collection Point ID for pathology services.
        selfDeemedCode:
          type: string
          description: >
            Pathology self-deeming (when rules allow). **SS** is not valid for
            pathology on this

            endpoint.


            | Code | Meaning |

            |------|---------|

            | SD | Self-deemed additional tests |
        collectionDateTime:
          type: string
          description: Date and time the specimen was collected.
        accessionDateTime:
          type: string
          description: Date and time the specimen was accessioned.
      title: >-
        MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveMedicalEventItemsServiceItems
    MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveMedicalEventItems:
      type: object
      properties:
        service:
          type: array
          items:
            $ref: >-
              #/components/schemas/MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveMedicalEventItemsServiceItems
      title: >-
        MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveMedicalEventItems
    MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractive:
      type: object
      properties:
        referral:
          $ref: >-
            #/components/schemas/MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferral
          description: >
            Pathology request. Mutually exclusive with **referralOverrideCode**
            when you are using an override

            instead of a referral object.
        referralOverrideCode:
          $ref: >-
            #/components/schemas/MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveReferralOverrideCode
          description: >
            Use **N** when a pathology referral is not required. Cannot be
            combined with a **referral** object

            in the same request.


            | Code | Meaning |

            |------|---------|

            | N | Not required |
        medicalEvent:
          type: array
          items:
            $ref: >-
              #/components/schemas/MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractiveMedicalEventItems
      required:
        - medicalEvent
      title: >-
        MedicarePatientclaiminteractivePathologyV1PostRequestBodyContentApplicationJsonSchemaPatientClaimInteractive
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentError:
      type: object
      properties:
        code:
          type: integer
        text:
          type: string
      title: PciwPatientClaimInteractiveSuccessResponseClaimAssessmentError
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimantCurrentMembership:
      type: object
      properties:
        memberNumber:
          type: string
        memberRefNumber:
          type: string
      title: >-
        PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimantCurrentMembership
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimant:
      type: object
      properties:
        currentMembership:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimantCurrentMembership
      title: PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimant
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatientCurrentMembership:
      type: object
      properties:
        memberNumber:
          type: string
        memberRefNumber:
          type: string
      title: >-
        PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatientCurrentMembership
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatient:
      type: object
      properties:
        currentMembership:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatientCurrentMembership
      title: PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatient
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItemsError:
      type: object
      properties:
        code:
          type: integer
        text:
          type: string
      title: >-
        PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItemsError
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItems:
      type: object
      properties:
        id:
          type: string
        itemNumber:
          type: string
        chargeAmount:
          type: string
        assessmentCode:
          type: string
        benefitPaid:
          type: string
        numberOfPatientsSeen:
          type: string
        error:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItemsError
      required:
        - id
        - itemNumber
        - chargeAmount
      title: >-
        PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItems
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItems:
      type: object
      properties:
        id:
          type: string
        eventDate:
          type: string
          format: date
        service:
          type: array
          items:
            $ref: >-
              #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItems
      required:
        - id
        - eventDate
        - service
      title: >-
        PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItems
    PciwPatientClaimInteractiveSuccessResponseClaimAssessment:
      type: object
      properties:
        claimId:
          type: string
        error:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentError
        claimant:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimant
        patient:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatient
        medicalEvent:
          type: array
          items:
            $ref: >-
              #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItems
      required:
        - claimId
      title: PciwPatientClaimInteractiveSuccessResponseClaimAssessment
    PciwPatientClaimInteractiveSuccessResponse:
      type: object
      properties:
        status:
          type: string
        correlationId:
          type: string
        claimAssessment:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessment
      required:
        - status
        - correlationId
        - claimAssessment
      title: PciwPatientClaimInteractiveSuccessResponse
    PciwMedicareServiceMessageErrorServiceMessageItems:
      type: object
      properties:
        code:
          type: string
          description: Medicare error code.
        severity:
          type: string
          description: Severity for this message (e.g. `Error`).
        reason:
          type: string
          description: Human-readable explanation.
      required:
        - code
        - severity
        - reason
      title: PciwMedicareServiceMessageErrorServiceMessageItems
    PciwMedicareServiceMessageError:
      type: object
      properties:
        highestSeverity:
          type: string
          description: Highest severity across all messages (typically `Error`).
        correlationId:
          type: string
          description: Echo of the request `correlationId` for tracing.
        serviceMessage:
          type: array
          items:
            $ref: >-
              #/components/schemas/PciwMedicareServiceMessageErrorServiceMessageItems
          description: One or more Medicare validation or business-rule messages.
      required:
        - highestSeverity
        - correlationId
        - serviceMessage
      title: PciwMedicareServiceMessageError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
    minorId:
      type: apiKey
      in: header
      name: x-minor-id

```

## SDK Code Examples

```python Claim Assessed
import requests

url = "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1"

payload = { "patientClaimInteractive": {
        "medicalEvent": [
            {
                "service": [
                    {
                        "scpId": "00001",
                        "id": "1001",
                        "itemNumber": "65120",
                        "chargeAmount": "2505"
                    }
                ],
                "id": "01",
                "medicalEventDate": "2026-04-13"
            }
        ],
        "referral": {
            "provider": { "providerNumber": "2447781L" },
            "issueDate": "2026-01-01",
            "typeCode": "P"
        },
        "accountPaidInd": "Y",
        "authorisationDate": "2026-04-13",
        "submissionAuthorityInd": "Y",
        "serviceProvider": { "providerNumber": "2446081F" },
        "patient": {
            "identity": {
                "dateOfBirth": "2009-02-08",
                "familyName": "FLETCHER",
                "givenName": "Clint"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        },
        "claimant": {
            "identity": {
                "dateOfBirth": "2009-02-08",
                "familyName": "FLETCHER",
                "givenName": "Clint"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        }
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Claim Assessed
const url = 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"patientClaimInteractive":{"medicalEvent":[{"service":[{"scpId":"00001","id":"1001","itemNumber":"65120","chargeAmount":"2505"}],"id":"01","medicalEventDate":"2026-04-13"}],"referral":{"provider":{"providerNumber":"2447781L"},"issueDate":"2026-01-01","typeCode":"P"},"accountPaidInd":"Y","authorisationDate":"2026-04-13","submissionAuthorityInd":"Y","serviceProvider":{"providerNumber":"2446081F"},"patient":{"identity":{"dateOfBirth":"2009-02-08","familyName":"FLETCHER","givenName":"Clint"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}},"claimant":{"identity":{"dateOfBirth":"2009-02-08","familyName":"FLETCHER","givenName":"Clint"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Claim Assessed
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1"

	payload := strings.NewReader("{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"scpId\": \"00001\",\n            \"id\": \"1001\",\n            \"itemNumber\": \"65120\",\n            \"chargeAmount\": \"2505\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\"\n      }\n    ],\n    \"referral\": {\n      \"provider\": {\n        \"providerNumber\": \"2447781L\"\n      },\n      \"issueDate\": \"2026-01-01\",\n      \"typeCode\": \"P\"\n    },\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Claim Assessed
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"scpId\": \"00001\",\n            \"id\": \"1001\",\n            \"itemNumber\": \"65120\",\n            \"chargeAmount\": \"2505\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\"\n      }\n    ],\n    \"referral\": {\n      \"provider\": {\n        \"providerNumber\": \"2447781L\"\n      },\n      \"issueDate\": \"2026-01-01\",\n      \"typeCode\": \"P\"\n    },\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Claim Assessed
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"scpId\": \"00001\",\n            \"id\": \"1001\",\n            \"itemNumber\": \"65120\",\n            \"chargeAmount\": \"2505\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\"\n      }\n    ],\n    \"referral\": {\n      \"provider\": {\n        \"providerNumber\": \"2447781L\"\n      },\n      \"issueDate\": \"2026-01-01\",\n      \"typeCode\": \"P\"\n    },\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")
  .asString();
```

```php Claim Assessed
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1', [
  'body' => '{
  "patientClaimInteractive": {
    "medicalEvent": [
      {
        "service": [
          {
            "scpId": "00001",
            "id": "1001",
            "itemNumber": "65120",
            "chargeAmount": "2505"
          }
        ],
        "id": "01",
        "medicalEventDate": "2026-04-13"
      }
    ],
    "referral": {
      "provider": {
        "providerNumber": "2447781L"
      },
      "issueDate": "2026-01-01",
      "typeCode": "P"
    },
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": {
      "providerNumber": "2446081F"
    },
    "patient": {
      "identity": {
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    },
    "claimant": {
      "identity": {
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Claim Assessed
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"scpId\": \"00001\",\n            \"id\": \"1001\",\n            \"itemNumber\": \"65120\",\n            \"chargeAmount\": \"2505\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\"\n      }\n    ],\n    \"referral\": {\n      \"provider\": {\n        \"providerNumber\": \"2447781L\"\n      },\n      \"issueDate\": \"2026-01-01\",\n      \"typeCode\": \"P\"\n    },\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Claim Assessed
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["patientClaimInteractive": [
    "medicalEvent": [
      [
        "service": [
          [
            "scpId": "00001",
            "id": "1001",
            "itemNumber": "65120",
            "chargeAmount": "2505"
          ]
        ],
        "id": "01",
        "medicalEventDate": "2026-04-13"
      ]
    ],
    "referral": [
      "provider": ["providerNumber": "2447781L"],
      "issueDate": "2026-01-01",
      "typeCode": "P"
    ],
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": ["providerNumber": "2446081F"],
    "patient": [
      "identity": [
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ],
    "claimant": [
      "identity": [
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Pended
import requests

url = "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1"

payload = {
    "correlationId": "urn:uuid:MDE0000040eb793b5d174d50",
    "patientClaimInteractive": {
        "medicalEvent": [
            {
                "service": [
                    {
                        "scpId": "00001",
                        "id": "1001",
                        "itemNumber": "65120",
                        "chargeAmount": "2505"
                    }
                ],
                "id": "01",
                "medicalEventDate": "2025-09-01"
            }
        ],
        "referral": {
            "provider": { "providerNumber": "2447781L" },
            "issueDate": "2026-01-01",
            "typeCode": "P"
        },
        "accountPaidInd": "Y",
        "authorisationDate": "2026-04-13",
        "submissionAuthorityInd": "Y",
        "serviceProvider": { "providerNumber": "2446081F" },
        "patient": {
            "identity": {
                "dateOfBirth": "2009-02-08",
                "familyName": "FLETCHER",
                "givenName": "Clint"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        },
        "claimant": {
            "identity": {
                "dateOfBirth": "2009-02-08",
                "familyName": "FLETCHER",
                "givenName": "Clint"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        }
    }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Pended
const url = 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"correlationId":"urn:uuid:MDE0000040eb793b5d174d50","patientClaimInteractive":{"medicalEvent":[{"service":[{"scpId":"00001","id":"1001","itemNumber":"65120","chargeAmount":"2505"}],"id":"01","medicalEventDate":"2025-09-01"}],"referral":{"provider":{"providerNumber":"2447781L"},"issueDate":"2026-01-01","typeCode":"P"},"accountPaidInd":"Y","authorisationDate":"2026-04-13","submissionAuthorityInd":"Y","serviceProvider":{"providerNumber":"2446081F"},"patient":{"identity":{"dateOfBirth":"2009-02-08","familyName":"FLETCHER","givenName":"Clint"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}},"claimant":{"identity":{"dateOfBirth":"2009-02-08","familyName":"FLETCHER","givenName":"Clint"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Pended
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1"

	payload := strings.NewReader("{\n  \"correlationId\": \"urn:uuid:MDE0000040eb793b5d174d50\",\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"scpId\": \"00001\",\n            \"id\": \"1001\",\n            \"itemNumber\": \"65120\",\n            \"chargeAmount\": \"2505\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-09-01\"\n      }\n    ],\n    \"referral\": {\n      \"provider\": {\n        \"providerNumber\": \"2447781L\"\n      },\n      \"issueDate\": \"2026-01-01\",\n      \"typeCode\": \"P\"\n    },\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Pended
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"correlationId\": \"urn:uuid:MDE0000040eb793b5d174d50\",\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"scpId\": \"00001\",\n            \"id\": \"1001\",\n            \"itemNumber\": \"65120\",\n            \"chargeAmount\": \"2505\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-09-01\"\n      }\n    ],\n    \"referral\": {\n      \"provider\": {\n        \"providerNumber\": \"2447781L\"\n      },\n      \"issueDate\": \"2026-01-01\",\n      \"typeCode\": \"P\"\n    },\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Pended
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"correlationId\": \"urn:uuid:MDE0000040eb793b5d174d50\",\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"scpId\": \"00001\",\n            \"id\": \"1001\",\n            \"itemNumber\": \"65120\",\n            \"chargeAmount\": \"2505\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-09-01\"\n      }\n    ],\n    \"referral\": {\n      \"provider\": {\n        \"providerNumber\": \"2447781L\"\n      },\n      \"issueDate\": \"2026-01-01\",\n      \"typeCode\": \"P\"\n    },\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")
  .asString();
```

```php Pended
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1', [
  'body' => '{
  "correlationId": "urn:uuid:MDE0000040eb793b5d174d50",
  "patientClaimInteractive": {
    "medicalEvent": [
      {
        "service": [
          {
            "scpId": "00001",
            "id": "1001",
            "itemNumber": "65120",
            "chargeAmount": "2505"
          }
        ],
        "id": "01",
        "medicalEventDate": "2025-09-01"
      }
    ],
    "referral": {
      "provider": {
        "providerNumber": "2447781L"
      },
      "issueDate": "2026-01-01",
      "typeCode": "P"
    },
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": {
      "providerNumber": "2446081F"
    },
    "patient": {
      "identity": {
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    },
    "claimant": {
      "identity": {
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Pended
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"correlationId\": \"urn:uuid:MDE0000040eb793b5d174d50\",\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"scpId\": \"00001\",\n            \"id\": \"1001\",\n            \"itemNumber\": \"65120\",\n            \"chargeAmount\": \"2505\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-09-01\"\n      }\n    ],\n    \"referral\": {\n      \"provider\": {\n        \"providerNumber\": \"2447781L\"\n      },\n      \"issueDate\": \"2026-01-01\",\n      \"typeCode\": \"P\"\n    },\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Pended
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "correlationId": "urn:uuid:MDE0000040eb793b5d174d50",
  "patientClaimInteractive": [
    "medicalEvent": [
      [
        "service": [
          [
            "scpId": "00001",
            "id": "1001",
            "itemNumber": "65120",
            "chargeAmount": "2505"
          ]
        ],
        "id": "01",
        "medicalEventDate": "2025-09-01"
      ]
    ],
    "referral": [
      "provider": ["providerNumber": "2447781L"],
      "issueDate": "2026-01-01",
      "typeCode": "P"
    ],
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": ["providerNumber": "2446081F"],
    "patient": [
      "identity": [
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ],
    "claimant": [
      "identity": [
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Pendable - Already Paid
import requests

url = "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1"

payload = { "patientClaimInteractive": {
        "medicalEvent": [
            {
                "service": [
                    {
                        "id": "1001",
                        "itemNumber": "3",
                        "chargeAmount": "25000"
                    }
                ],
                "id": "01",
                "medicalEventDate": "2025-08-20"
            }
        ],
        "referralOverrideCode": "N",
        "accountPaidInd": "Y",
        "authorisationDate": "2026-04-13",
        "submissionAuthorityInd": "Y",
        "serviceProvider": { "providerNumber": "2446081F" },
        "patient": {
            "identity": {
                "dateOfBirth": "2009-02-08",
                "familyName": "FLETCHER",
                "givenName": "Clint"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        },
        "claimant": {
            "identity": {
                "dateOfBirth": "2009-02-08",
                "familyName": "FLETCHER",
                "givenName": "Clint"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        }
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Pendable - Already Paid
const url = 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"patientClaimInteractive":{"medicalEvent":[{"service":[{"id":"1001","itemNumber":"3","chargeAmount":"25000"}],"id":"01","medicalEventDate":"2025-08-20"}],"referralOverrideCode":"N","accountPaidInd":"Y","authorisationDate":"2026-04-13","submissionAuthorityInd":"Y","serviceProvider":{"providerNumber":"2446081F"},"patient":{"identity":{"dateOfBirth":"2009-02-08","familyName":"FLETCHER","givenName":"Clint"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}},"claimant":{"identity":{"dateOfBirth":"2009-02-08","familyName":"FLETCHER","givenName":"Clint"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Pendable - Already Paid
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1"

	payload := strings.NewReader("{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"id\": \"1001\",\n            \"itemNumber\": \"3\",\n            \"chargeAmount\": \"25000\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-08-20\"\n      }\n    ],\n    \"referralOverrideCode\": \"N\",\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Pendable - Already Paid
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"id\": \"1001\",\n            \"itemNumber\": \"3\",\n            \"chargeAmount\": \"25000\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-08-20\"\n      }\n    ],\n    \"referralOverrideCode\": \"N\",\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Pendable - Already Paid
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"id\": \"1001\",\n            \"itemNumber\": \"3\",\n            \"chargeAmount\": \"25000\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-08-20\"\n      }\n    ],\n    \"referralOverrideCode\": \"N\",\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")
  .asString();
```

```php Pendable - Already Paid
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1', [
  'body' => '{
  "patientClaimInteractive": {
    "medicalEvent": [
      {
        "service": [
          {
            "id": "1001",
            "itemNumber": "3",
            "chargeAmount": "25000"
          }
        ],
        "id": "01",
        "medicalEventDate": "2025-08-20"
      }
    ],
    "referralOverrideCode": "N",
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": {
      "providerNumber": "2446081F"
    },
    "patient": {
      "identity": {
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    },
    "claimant": {
      "identity": {
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Pendable - Already Paid
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"id\": \"1001\",\n            \"itemNumber\": \"3\",\n            \"chargeAmount\": \"25000\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-08-20\"\n      }\n    ],\n    \"referralOverrideCode\": \"N\",\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Pendable - Already Paid
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["patientClaimInteractive": [
    "medicalEvent": [
      [
        "service": [
          [
            "id": "1001",
            "itemNumber": "3",
            "chargeAmount": "25000"
          ]
        ],
        "id": "01",
        "medicalEventDate": "2025-08-20"
      ]
    ],
    "referralOverrideCode": "N",
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": ["providerNumber": "2446081F"],
    "patient": [
      "identity": [
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ],
    "claimant": [
      "identity": [
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Rejected - Unknown Item
import requests

url = "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1"

payload = { "patientClaimInteractive": {
        "medicalEvent": [
            {
                "service": [
                    {
                        "id": "1001",
                        "itemNumber": "5",
                        "chargeAmount": "25000"
                    }
                ],
                "id": "01",
                "medicalEventDate": "2025-08-20"
            }
        ],
        "referralOverrideCode": "N",
        "accountPaidInd": "Y",
        "authorisationDate": "2026-04-13",
        "submissionAuthorityInd": "Y",
        "serviceProvider": { "providerNumber": "2446081F" },
        "patient": {
            "identity": {
                "dateOfBirth": "2009-02-08",
                "familyName": "FLETCHER",
                "givenName": "Clint"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        },
        "claimant": {
            "identity": {
                "dateOfBirth": "2009-02-08",
                "familyName": "FLETCHER",
                "givenName": "Clint"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        }
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Rejected - Unknown Item
const url = 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"patientClaimInteractive":{"medicalEvent":[{"service":[{"id":"1001","itemNumber":"5","chargeAmount":"25000"}],"id":"01","medicalEventDate":"2025-08-20"}],"referralOverrideCode":"N","accountPaidInd":"Y","authorisationDate":"2026-04-13","submissionAuthorityInd":"Y","serviceProvider":{"providerNumber":"2446081F"},"patient":{"identity":{"dateOfBirth":"2009-02-08","familyName":"FLETCHER","givenName":"Clint"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}},"claimant":{"identity":{"dateOfBirth":"2009-02-08","familyName":"FLETCHER","givenName":"Clint"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Rejected - Unknown Item
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1"

	payload := strings.NewReader("{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"id\": \"1001\",\n            \"itemNumber\": \"5\",\n            \"chargeAmount\": \"25000\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-08-20\"\n      }\n    ],\n    \"referralOverrideCode\": \"N\",\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Rejected - Unknown Item
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"id\": \"1001\",\n            \"itemNumber\": \"5\",\n            \"chargeAmount\": \"25000\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-08-20\"\n      }\n    ],\n    \"referralOverrideCode\": \"N\",\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Rejected - Unknown Item
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"id\": \"1001\",\n            \"itemNumber\": \"5\",\n            \"chargeAmount\": \"25000\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-08-20\"\n      }\n    ],\n    \"referralOverrideCode\": \"N\",\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")
  .asString();
```

```php Rejected - Unknown Item
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1', [
  'body' => '{
  "patientClaimInteractive": {
    "medicalEvent": [
      {
        "service": [
          {
            "id": "1001",
            "itemNumber": "5",
            "chargeAmount": "25000"
          }
        ],
        "id": "01",
        "medicalEventDate": "2025-08-20"
      }
    ],
    "referralOverrideCode": "N",
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": {
      "providerNumber": "2446081F"
    },
    "patient": {
      "identity": {
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    },
    "claimant": {
      "identity": {
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Rejected - Unknown Item
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"patientClaimInteractive\": {\n    \"medicalEvent\": [\n      {\n        \"service\": [\n          {\n            \"id\": \"1001\",\n            \"itemNumber\": \"5\",\n            \"chargeAmount\": \"25000\"\n          }\n        ],\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2025-08-20\"\n      }\n    ],\n    \"referralOverrideCode\": \"N\",\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2446081F\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"claimant\": {\n      \"identity\": {\n        \"dateOfBirth\": \"2009-02-08\",\n        \"familyName\": \"FLETCHER\",\n        \"givenName\": \"Clint\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Rejected - Unknown Item
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["patientClaimInteractive": [
    "medicalEvent": [
      [
        "service": [
          [
            "id": "1001",
            "itemNumber": "5",
            "chargeAmount": "25000"
          ]
        ],
        "id": "01",
        "medicalEventDate": "2025-08-20"
      ]
    ],
    "referralOverrideCode": "N",
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": ["providerNumber": "2446081F"],
    "patient": [
      "identity": [
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ],
    "claimant": [
      "identity": [
        "dateOfBirth": "2009-02-08",
        "familyName": "FLETCHER",
        "givenName": "Clint"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/Medicare/patientclaiminteractive/pathology/v1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```